Skip to content
Docs

HELOC Inquiries/Inquiries

Start an inquiry

POST/products/heloc/v1/inquiry/start
Request
curl -X POST \
  "https://api.test.figure.com/products/heloc/v1/inquiry/start" \
  -H "apikey: $FIGURE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "encrypted": "<JWE of the decrypted request body>"
}'

Template: replace the placeholder with your encrypted payload. See Encrypt a payload.

Headers

  • User-AgentstringRequired

Request body

application/json

Send this body encrypted as a JWE: { "encrypted": "<JWE>" }. The fields below describe the payload before encryption. Can't encrypt client-side? Use the Encryption API.

  • requestobjectRequired
    ShowHide 2 attributes of request
    • loanOriginatorUuidstringRequired
    • asyncbooleanRequiredDeprecated

      Will be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.

  • applicantobjectRequired
    ShowHide 7 attributes of applicant
    • nameobjectRequired
      ShowHide 5 attributes of name
      • firstNamestringRequired
        Pattern^[a-zA-Z0-9\s\-']+$
      • lastNamestringRequired
        Pattern^[a-zA-Z0-9\s\-']+$
      • prefixstring
        Pattern^[a-zA-Z0-9\s\-']+$
      • middleNamestring
        Pattern^[a-zA-Z0-9\s\-']+$
      • suffixstring
    • dobstring<date>Required
    • phonestringRequired
      Pattern^\(?\d{3}\)?[\s.-]?\d{3}[\s.-]?\d{4}$
    • emailstringRequired
      Pattern
      ^(?:[a-zA-Z0-9!#\$%&'*+/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#\$%&'*+/=?^_`{|}~-]+)*|\"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*\")@(?:(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?\.)+[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?|\[(?:(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9]))\.){3}(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9])|[a-zA-Z0-9-]*[a-zA-Z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])$Show full patternShow less
    • homeAddressobjectRequired
      ShowHide 5 attributes of homeAddress
      • street1stringRequired
        Pattern^[a-zA-Z0-9\s\-\.']+$
      • citystringRequired
        Pattern^[a-zA-Z\s\-']+$
      • statestringRequired
        Pattern^[A-Z]{2}$
      • zipstringRequired
        Pattern^[0-9]{5}(?:-[0-9]{4})?$
      • street2string
        Pattern^[a-zA-Z0-9\s\-\.']+$
    • incomeobjectRequired
      ShowHide 7 attributes of income
      • employmentTypeenumRequired
        One of
        11 valuesUNKNOWNOTHERSELF_EMPLOYEDFULL_TIMEPART_TIMERETIREDUNEMPLOYEDALIMONYCHILD_SUPPORTPUBLIC_ASSISTANCE_PROGRAMSEPARATE_MAINTENANCE_PAYMENTS
      • grossAnnualIncomenumberRequired

        ≤ 99999999

      • annualRetirementIncomenumber
      • annualInvestmentIncomenumber
      • annualBusinessIncomenumber

        ≤ 99999999

      • savingsAmountnumber
      • otherAnnualIncomenumber

        ≤ 99999999

    • ssnstring
      Pattern^(([0-9]{9})|([0-9]{3}-[0-9]{2}-[0-9]{4}))$
  • propertyobjectRequired
    ShowHide 6 attributes of property
    • addressobjectRequired
      ShowHide 5 attributes of address
      • street1stringRequired
        Pattern^[a-zA-Z0-9\s\-\.']+$
      • citystringRequired
        Pattern^[a-zA-Z\s\-']+$
      • statestringRequired
        Pattern^[A-Z]{2}$
      • zipstringRequired
        Pattern^[0-9]{5}(?:-[0-9]{4})?$
      • street2string
        Pattern^[a-zA-Z0-9\s\-\.']+$
    • propertyTypeenumRequired
      One ofUNKNOWNPRIMARYSECONDARYINVESTMENT
    • isListedForSalebooleanRequired
    • borrowerEstimatedValuenumber
    • liensarray of objects
      ShowHide 5 attributes of liens
      • originationDatestring<date>Required
      • originalBalancenumberRequired
      • lenderNamestring
      • currentBalancenumber
      • monthlyPaymentnumber
    • ownershipTypeenum
      One ofUNKNOWNSOLEJOINTTRUSTLLCOTHER
  • partnerDataRequestobject
    ShowHide 4 attributes of partnerDataRequest
    • externalAppIdstring
    • externalReferenceIdstring
    • externalCustomerIdstring
    • utmParametersobject
      ShowHide 5 attributes of utmParameters
      • sourcestring
      • mediumstring
      • campaignstring
      • termstring
      • contentstring
  • testVariantsRequestobject
    ShowHide 1 attribute of testVariantsRequest
    • variantsarray of objectsRequired
      ShowHide 1 attribute of variants
      • namestringRequired
  • businessInfoobject
    ShowHide 7 attributes of businessInfo
    • entityNamestring
    • entityTypeenum
      One ofSOLE_PROPRIETORSHIPSINGLE_OWNER_LLCPARTNERSHIPMULTI_OWNER_LLCS_CORPPARTNERSHIP_OR_LLC
    • ownershipPercentagenumber
    • totalMonthlyRevenuenumber
    • einstring
    • stateOfIncorporationstring
      Pattern^[A-Za-z]{2}$
    • addressobject
      ShowHide 5 attributes of address
      • street1stringRequired
        Pattern^[a-zA-Z0-9\s\-\.']+$
      • citystringRequired
        Pattern^[a-zA-Z\s\-']+$
      • statestringRequired
        Pattern^[A-Z]{2}$
      • zipstringRequired
        Pattern^[0-9]{5}(?:-[0-9]{4})?$
      • street2string
        Pattern^[a-zA-Z0-9\s\-\.']+$

Responses

200OKobject
  • dataobject
    ShowHide 1 attribute of data
    • appUuidstring<uuid>Required
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "data": {
    "appUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a"
  },
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ]
}